Loading...
Searching...
No Matches
xfs_types.h File Reference

Go to the source code of this file.

## Macros

#define | MAXAEXTNUM ((xfs_aextnum_t)0x7fff) /* signed short */
#define | MAXEXTLEN ((xfs_extlen_t)0x001fffff) /* 21 bits */
#define | MAXEXTNUM ((xfs_extnum_t)0x7fffffff) /* signed int */
#define | MAXNAMELEN 256
#define | NULLAGBLOCK ((xfs_agblock_t)-1)
#define | NULLAGNUMBER ((xfs_agnumber_t)-1)
#define | NULLCOMMITLSN ((xfs_lsn_t)-1)
#define | NULLDFILOFF ((xfs_dfiloff_t)-1)
#define | NULLDFSBNO ((xfs_dfsbno_t)-1)
#define | NULLDRFSBNO ((xfs_drfsbno_t)-1)
#define | NULLDRTBNO ((xfs_drtbno_t)-1)
#define | NULLEXTNUM ((xfs_extnum_t)-1)
#define | NULLFILEOFF ((xfs_fileoff_t)-1)
#define | NULLFSBLOCK ((xfs_fsblock_t)-1)
#define | NULLRFSBLOCK ((xfs_rfsblock_t)-1)
#define | NULLRTBLOCK ((xfs_rtblock_t)-1)
#define | XFS_BIG_FILES 1
#define | XFS_BIG_FILESYSTEMS 1
#define | XFS_STATS64_ADD(count, inc)
#define | XFS_STATS64_INC(count)
#define | XFS_STATS_ADD(count, inc)
#define | XFS_STATS_DEC(count)
#define | XFS_STATS_INC(count)

## Typedefs

typedef int16_t | xfs_aextnum_t
typedef uint32_t | xfs_agblock_t
typedef uint32_t | xfs_agnumber_t
typedef uint8_t | xfs_arch_t
typedef uint32_t | xfs_dablk_t
typedef uint32_t | xfs_dahash_t
typedef uint64_t | xfs_dfilblks_t
typedef uint64_t | xfs_dfiloff_t
typedef uint64_t | xfs_dfsbno_t
typedef uint64_t | xfs_drfsbno_t
typedef uint64_t | xfs_drtbno_t
typedef uint32_t | xfs_extlen_t
typedef int32_t | xfs_extnum_t
typedef uint64_t | xfs_filblks_t
typedef uint64_t | xfs_fileoff_t
typedef uint64_t | xfs_fsblock_t
typedef int64_t | xfs_fsize_t
typedef int64_t | xfs_lsn_t
typedef uint16_t | xfs_prid_t
typedef uint64_t | xfs_rfsblock_t
typedef uint64_t | xfs_rtblock_t
typedef int32_t | xfs_rtword_t
typedef int64_t | xfs_sfiloff_t
typedef int64_t | xfs_srtblock_t
typedef int32_t | xfs_suminfo_t
typedef int32_t | xfs_tid_t
typedef uint64_t | xfs_ufsize_t

## Enumerations

enum | xfs_btnum_t { XFS_BTNUM_BNOi , XFS_BTNUM_CNTi , XFS_BTNUM_BMAPi , XFS_BTNUM_INOi , XFS_BTNUM_MAX }
enum | xfs_lookup_t { XFS_LOOKUP_EQi , XFS_LOOKUP_LEi , XFS_LOOKUP_GEi }

## Macro Definition Documentation

## MAXAEXTNUM

#define MAXAEXTNUM ((xfs_aextnum_t)0x7fff) /* signed short */

## MAXEXTLEN

#define MAXEXTLEN ((xfs_extlen_t)0x001fffff) /* 21 bits */

## MAXEXTNUM

#define MAXEXTNUM ((xfs_extnum_t)0x7fffffff) /* signed int */

## MAXNAMELEN

#define MAXNAMELEN 256

## NULLAGBLOCK

#define NULLAGBLOCK ((xfs_agblock_t)-1)

## NULLAGNUMBER

#define NULLAGNUMBER ((xfs_agnumber_t)-1)

## NULLCOMMITLSN

#define NULLCOMMITLSN ((xfs_lsn_t)-1)

## NULLDFILOFF

#define NULLDFILOFF ((xfs_dfiloff_t)-1)

## NULLDFSBNO

#define NULLDFSBNO ((xfs_dfsbno_t)-1)

## NULLDRFSBNO

#define NULLDRFSBNO ((xfs_drfsbno_t)-1)

## NULLDRTBNO

#define NULLDRTBNO ((xfs_drtbno_t)-1)

## NULLEXTNUM

#define NULLEXTNUM ((xfs_extnum_t)-1)

## NULLFILEOFF

#define NULLFILEOFF ((xfs_fileoff_t)-1)

## NULLFSBLOCK

#define NULLFSBLOCK ((xfs_fsblock_t)-1)

## NULLRFSBLOCK

#define NULLRFSBLOCK ((xfs_rfsblock_t)-1)

## NULLRTBLOCK

#define NULLRTBLOCK ((xfs_rtblock_t)-1)

## XFS_BIG_FILES

#define XFS_BIG_FILES 1

## XFS_BIG_FILESYSTEMS

#define XFS_BIG_FILESYSTEMS 1

## XFS_STATS64_ADD

#define XFS_STATS64_ADD | ( |  | count,
|  |  | inc )

## XFS_STATS64_INC

#define XFS_STATS64_INC | ( |  | count | ) |

## XFS_STATS_ADD

#define XFS_STATS_ADD | ( |  | count,
|  |  | inc )

## XFS_STATS_DEC

#define XFS_STATS_DEC | ( |  | count | ) |

## XFS_STATS_INC

#define XFS_STATS_INC | ( |  | count | ) |

## Typedef Documentation

## xfs_aextnum_t

typedef int16_t xfs_aextnum_t

## xfs_agblock_t

typedef uint32_t xfs_agblock_t

## xfs_agnumber_t

typedef uint32_t xfs_agnumber_t

## xfs_arch_t

typedef uint8_t xfs_arch_t

## xfs_dablk_t

typedef uint32_t xfs_dablk_t

## xfs_dahash_t

typedef uint32_t xfs_dahash_t

## xfs_dfilblks_t

typedef uint64_t xfs_dfilblks_t

## xfs_dfiloff_t

typedef uint64_t xfs_dfiloff_t

## xfs_dfsbno_t

typedef uint64_t xfs_dfsbno_t

## xfs_drfsbno_t

typedef uint64_t xfs_drfsbno_t

## xfs_drtbno_t

typedef uint64_t xfs_drtbno_t

## xfs_extlen_t

typedef uint32_t xfs_extlen_t

## xfs_extnum_t

typedef int32_t xfs_extnum_t

## xfs_filblks_t

typedef uint64_t xfs_filblks_t

## xfs_fileoff_t

typedef uint64_t xfs_fileoff_t

## xfs_fsblock_t

typedef uint64_t xfs_fsblock_t

## xfs_fsize_t

typedef int64_t xfs_fsize_t

## xfs_lsn_t

typedef int64_t xfs_lsn_t

## xfs_prid_t

typedef uint16_t xfs_prid_t

## xfs_rfsblock_t

typedef uint64_t xfs_rfsblock_t

## xfs_rtblock_t

typedef uint64_t xfs_rtblock_t

## xfs_rtword_t

typedef int32_t xfs_rtword_t

## xfs_sfiloff_t

typedef int64_t xfs_sfiloff_t

## xfs_srtblock_t

typedef int64_t xfs_srtblock_t

## xfs_suminfo_t

typedef int32_t xfs_suminfo_t

## xfs_tid_t

typedef int32_t xfs_tid_t

## xfs_ufsize_t

typedef uint64_t xfs_ufsize_t

## Enumeration Type Documentation

## xfs_btnum_t

enum xfs_btnum_t

Enumerator
XFS_BTNUM_BNOi |
XFS_BTNUM_CNTi |
XFS_BTNUM_BMAPi |
XFS_BTNUM_INOi |
XFS_BTNUM_MAX |

## xfs_lookup_t

enum xfs_lookup_t

Enumerator
XFS_LOOKUP_EQi |
XFS_LOOKUP_LEi |
XFS_LOOKUP_GEi |